<?php

class Mbe_Shipping_Model_Source_ShipmentTypes
{
    public function toOptionArray()
    {
        $result = array(
            array('value' => 'GENERIC', 'label' => Mage::helper('mbe_shipping')->__('GENERIC')),

        );

        /**
         * @var $ws Mbe_Shipping_Model_Ws
         */

        $ws = Mage::getModel('mbe_shipping/ws');
        $customer = $ws->getCustomer();

        /*
         * 1. se <canChooseMBEShipType> = TRUE, nella configurazione il gestore potrà scegliere il default tra GENERIC (il pacco normale) e ENVELOPE (la busta, fino a 2.5kg)
         *  2. se <canChooseMBEShipType> = FALSE, per il momento farei che di default è GENERIC
         */
        if ($customer && $customer->Permissions->canChooseMBEShipType) {
            array_push($result, array('value' => 'ENVELOPE', 'label' => Mage::helper('mbe_shipping')->__('ENVELOPE')));
        }

        return $result;
    }

}