<?php

class Mbe_Shipping_Model_Source_ShipmentServices
{
    public function toOptionArray()
    {
        /**
         * @var $ws Mbe_Shipping_Model_Ws
         */
        $ws = Mage::getModel('mbe_shipping/ws');
        $availableShipping = $ws->getAllowedShipmentServices();


        if ($ws->isCustomerActive()) {
            if ($availableShipping) {
                $result = $availableShipping;
            } else {
                $result = array(
                    array('value' => '', 'label' => Mage::helper('mbe_shipping')->__('Set ws parameters and save to retrieve available shipment types')),
                );
                //Mage::getSingleton('core/session')->addNotice('MBE Shipping: Set ws parameters and save to retrieve available shipment types');
            }
        } else {
            $result = array(
                array('value' => '', 'label' => Mage::helper('mbe_shipping')->__('Your user is not active or url is not correct')),
            );

            //TODO: fix
            //Mage::getSingleton('core/session')->addError('Your user is not active');

            //$session = Mage::getSingleton('adminhtml/session');
            //$session->addError('MBE Shipping: Your user is not active');
        }

        return $result;
    }

}